Loading...
Searching...
No Matches
pcl::recognition::ORRGraph< NodeData > Class Template Reference

`#include <pcl/recognition/ransac_based/orr_graph.h>`

## Classes

class | Node

## Public Member Functions

| ORRGraph ()=default
virtual | ~ORRGraph ()
void | clear ()
void | resize (int n)
| Drops all existing graph nodes and creates 'n' new ones.
void | computeMaximalOnOffPartition (std::list< Node * > &on_nodes, std::list< Node * > &off_nodes)
void | insertUndirectedEdge (int id1, int id2)
void | insertDirectedEdge (int id1, int id2)
void | deleteUndirectedEdge (int id1, int id2)
void | deleteDirectedEdge (int id1, int id2)
std::vector< Node * > & | getNodes ()

## Public Attributes

std::vector< Node * > | nodes_

## Detailed Description

template<class NodeData>
class pcl::recognition::ORRGraph< NodeData >

Definition at line 59 of file orr_graph.h.

## Constructor & Destructor Documentation

## ORRGraph()

template<class NodeData >

pcl::recognition::ORRGraph< NodeData >::ORRGraph | ( |  | ) |

default

## ~ORRGraph()

template<class NodeData >

virtual pcl::recognition::ORRGraph< NodeData >::~ORRGraph | ( |  | ) |

inline virtual

Definition at line 128 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::clear().

## Member Function Documentation

## clear()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::clear | ( |  | ) |

inline

Definition at line 131 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::nodes_.

Referenced by pcl::recognition::ORRGraph< NodeData >::~ORRGraph().

## computeMaximalOnOffPartition()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::computeMaximalOnOffPartition | ( | std::list< Node * > & | on_nodes,
|  | std::list< Node * > & | off_nodes
| ) |  |

inline

Definition at line 156 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::Node::compare(), pcl::recognition::ORRGraph< NodeData >::nodes_, pcl::recognition::ORRGraph< NodeData >::Node::OFF, pcl::recognition::ORRGraph< NodeData >::Node::ON, and pcl::recognition::ORRGraph< NodeData >::Node::UNDEF.

## deleteDirectedEdge()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::deleteDirectedEdge | ( | int | id1,
|  | int | id2
| ) |  |

inline

Definition at line 214 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::nodes_.

## deleteUndirectedEdge()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::deleteUndirectedEdge | ( | int | id1,
|  | int | id2
| ) |  |

inline

Definition at line 207 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::nodes_.

## getNodes()

template<class NodeData >

std::vector< Node * > & pcl::recognition::ORRGraph< NodeData >::getNodes | ( |  | ) |

inline

Definition at line 220 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::nodes_.

## insertDirectedEdge()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::insertDirectedEdge | ( | int | id1,
|  | int | id2
| ) |  |

inline

Definition at line 201 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::nodes_.

## insertUndirectedEdge()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::insertUndirectedEdge | ( | int | id1,
|  | int | id2
| ) |  |

inline

Definition at line 194 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::nodes_.

## resize()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::resize | ( | int | n | ) |

inline

Drops all existing graph nodes and creates 'n' new ones.

Definition at line 141 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::nodes_.

## Member Data Documentation

## nodes_

template<class NodeData >

std::vector<Node*> pcl::recognition::ORRGraph< NodeData >::nodes_

Definition at line 223 of file orr_graph.h.

Referenced by pcl::recognition::ORRGraph< NodeData >::clear(), pcl::recognition::ORRGraph< NodeData >::computeMaximalOnOffPartition(), pcl::recognition::ORRGraph< NodeData >::deleteDirectedEdge(), pcl::recognition::ORRGraph< NodeData >::deleteUndirectedEdge(), pcl::recognition::ORRGraph< NodeData >::getNodes(), pcl::recognition::ORRGraph< NodeData >::insertDirectedEdge(), pcl::recognition::ORRGraph< NodeData >::insertUndirectedEdge(), and pcl::recognition::ORRGraph< NodeData >::resize().

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/orr_graph.h